Cross platform SIMD support for modern CPUs
Flext support classes » Buffer handling » Utility functions » Atom/list handling » Flext message handling » Flext message handling » Global system locking » Flext thread handling » Flext timer handling

Get time since real-time system startup. More...

## Functions

bool | operator== (const t_atom &a, const t_atom &b)
bool | operator!= (const t_atom &a, const t_atom &b)
bool | operator< (const t_atom &a, const t_atom &b)
bool | operator<= (const t_atom &a, const t_atom &b)
bool | operator> (const t_atom &a, const t_atom &b)
bool | operator>= (const t_atom &a, const t_atom &b)

## Detailed Description

Get time since real-time system startup.

Note
  This is not the time of the operating system but of the real-time system.
  It may depend on the time source the system is synchronized to (e.g. audio sample rate).

Get time granularity of the GetTime function.

Note
  This can be zero if not determined.

Get operating system time since flext startup.

Sleep for an amount of time.

Remarks
  The OS clock is used for that.

Note
  Clearly in a real-time system this should only be used in a detached thread.

Class encapsulating a timer with callback functionality. This class can either be used with FLEXT_ADDTIMER or used as a base class with an overloaded virtual Work function.

## Function Documentation

## operator!=()

bool operator!= | ( | const t_atom & | a,
|  | const t_atom & | b )

inline

## operator<()

bool operator< | ( | const t_atom & | a,
|  | const t_atom & | b )

inline

## operator<=()

bool operator<= | ( | const t_atom & | a,
|  | const t_atom & | b )

inline

## operator==()

bool operator== | ( | const t_atom & | a,
|  | const t_atom & | b )

inline

Check for SIMD capabilities of the CPU

## operator>()

bool operator> | ( | const t_atom & | a,
|  | const t_atom & | b )

inline

## operator>=()

bool operator>= | ( | const t_atom & | a,
|  | const t_atom & | b )

inline